Get contact by ID

This method allows to get a particular contact data by its ID

Limitations
Method is available in correspondence to the user rights.

“with” Parameters

ParameterDescription
leadsAdds info on the leads linked to the contact into the response
catalog_elementsAdds lists elements linked to the contact into the response

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

ParameterData typeDescription
idintContact ID
namestringContact fullname
first_namestringContact first name
last_namestringContact last name
responsible_user_idintContact responsible user ID
group_idintGroup ID of the contact responsible user
created_byintID of the user who created the contact
updated_byintID of the user who updated the contact last
created_atintContact creation date in the format of Unix Timestamp
updated_atintContact update date in the format of Unix Timestamp
closest_task_atintDate of the closest open task in the format of Unix Timestamp
custom_fields_valuesarray|nullAn array of the current contact custom fields’ values
account_idintAccount ID where the contact is located in
  • embedded
objectEmbedded entities data
  • embedded[tags]
arrayContact tags data array
  • embedded[tags][0]
objectContact tag model
  • embedded[tags][0][id]
intTag ID
  • embedded[tags][0][name]
stringTag name
  • embedded[tags][0][color]
string/nullTag color
  • embedded[companies]
arrayLinked company data array. This array always consists of 1 element.
  • embedded[companies][0]
objectLinked company data
  • embedded[companies][0][id]
intLinked company ID
  • embedded[leads]
arrayGET parameter “with” is required.
Linked leads data array
  • embedded[leads][0]
objectLinked lead data
  • embedded[leads][0][id]
intLinked lead ID
  • embedded[catalog_elements][catalog_elements]
arrayGET parameter “with” is required.
Linked lists’ elements data array
  • embedded[catalog_elements][0]
objectLinked list element data
  • embedded[catalog_elements][0][id]
intLinked element ID
  • embedded[catalog_elements][0][metadata]
objectMeta-data of the element
  • embedded[catalog_elements][0][quantity]
intLinked elements quantity
  • embedded[catalog_elements][0][catalog_id][catalog_id]
intID of the linked element’s list
Path Params
int32
required

Contact ID

Query Params
string

This parameter takes a string which may consist of several values separated by commas.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain